#include "rectangle.hpp"

Rectangle::Rectangle(int x, int y)
{
    _sizeX = x > 0 ? x : 0;
    _sizeY = y > 0 ? y : 0;
}

void Rectangle::resize(int x, int y)
{
    _sizeX = x > 0 ? x : 0;
    _sizeY = y > 0 ? y : 0;
}

int Rectangle::getSizeX()
{
    return _sizeX;
}

int Rectangle::getSizeY()
{
    return _sizeY;
}

int Rectangle::area()
{
    return _sizeX * _sizeY;
}
